Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740560 - net-analyzer/openvas-scanner-7.0.1 fails to compile
Summary: net-analyzer/openvas-scanner-7.0.1 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: jonas.licht
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-09-05 19:27 UTC by Agostino Sarubbo
Modified: 2021-03-31 06:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,101.03 KB, text/plain)
2020-09-05 19:27 UTC, Agostino Sarubbo
Details
1-CMakeOutput.log (1-CMakeOutput.log,16.56 KB, text/plain)
2020-09-05 19:27 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-05 19:27:06 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-analyzer/openvas-scanner-7.0.1 fails to compile.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue is strictly related to the LLD linker, please block bug 731004.
This machine uses also GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-05 19:27:08 UTC
Created attachment 658640 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-09-05 19:27:10 UTC
Created attachment 658642 [details]
1-CMakeOutput.log

1-CMakeOutput.log
Comment 3 Larry the Git Cow gentoo-dev 2021-03-31 06:31:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0c542fa48334cdbc3be019d30cb7b26927fe356

commit c0c542fa48334cdbc3be019d30cb7b26927fe356
Author:     Jonas Licht <jonas.licht@fem.tu-ilmenau.de>
AuthorDate: 2021-03-26 11:29:06 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-31 06:28:56 +0000

    net-analyzer/openvas-scanner: fix build with lld
    
    Closes: https://bugs.gentoo.org/740560
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Jonas Licht <jonas.licht@fem.tu-ilmenau.de>
    Closes: https://github.com/gentoo/gentoo/pull/20124
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 ...penvas-scanner-7.0.1-fix-linking-with-lld.patch | 33 ++++++++++++++++++++++
 .../openvas-scanner/openvas-scanner-20.8.1.ebuild  |  1 +
 .../openvas-scanner/openvas-scanner-7.0.1.ebuild   |  1 +
 3 files changed, 35 insertions(+)